"""Add log entry kind for verbs

Revision ID: 204abf14783d
Revises: 2430f55c41d5
Create Date: 2014-10-29 15:38:06.100915

"""

# revision identifiers, used by Alembic.
revision = '204abf14783d'
down_revision = '2430f55c41d5'

from alembic import op
import sqlalchemy as sa

def upgrade(tables):
    op.bulk_insert(tables.logentrykind,
    [
        {'id': 46, 'name':'repo_verb'},
    ])


def downgrade(tables):
    op.execute(
        (tables.logentrykind.delete()
            .where(tables.logentrykind.c.name == op.inline_literal('repo_verb')))

    )
